doubleMatrix {xcms} | R Documentation

## Allocate double, integer, or logical matricies

### Description

Allocate double, integer, or logical matricies in one step without copying memory around.

### Usage

    doubleMatrix(nrow = 0, ncol = 0)
    integerMatrix(nrow = 0, ncol = 0)
    logicalMatrix(nrow = 0, ncol = 0)

### Arguments

`nrow` | number of matrix rows
`ncol` | number of matrix columns

### Value

Matrix of double, integer, or logical values. Memory is not zeroed.

### Author(s)

Colin A. Smith, csmith@scripps.edu

[Package xcms version 1.16.3 Index]